<?php

declare(strict_types=1);

namespace Dedi\SyliusBlogPlugin\Domain\Blog\Adapter;

use DateTimeInterface;
use Dedi\SyliusBlogPlugin\Domain\SEO\Adapter\ReferableInterface;
use Traversable;

interface ArticleInterface extends ReferableInterface
{
    public function isEnabled(): bool;

    public function getAuthor(): ?AuthorInterface;

    public function getSlug(): string;

    public function getTitle(): string;

    public function getContent(): string;

    public function getBanner();

    public function getPosition(): int;

    public function getCategories(): Traversable;

    public function getCreatedAt(): DateTimeInterface;

    public function getEditedAt(): DateTimeInterface;
}
